#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Bold_otf_20_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE = {
// Unicode: [0x0020, space]
// (Has no glyph data)
// Unicode: [0x002D, hyphen]
0x30,0x33,0x13,0xF6,0xFF,0xCF,0xF4,0xFF,0xBF,
// Unicode: [0x002F, slash]
0x00,0x00,0x00,0xF8,0x0B,0x00,0x00,0x10,0xFF,0x06,0x00,0x00,0x70,0xFF,0x01,0x00,
0x00,0xD0,0xAF,0x00,0x00,0x00,0xF3,0x3F,0x00,0x00,0x00,0xFA,0x0D,0x00,0x00,0x10,
0xFF,0x07,0x00,0x00,0x60,0xFF,0x01,0x00,0x00,0xD0,0xAF,0x00,0x00,0x00,0xF3,0x4F,
0x00,0x00,0x00,0xF9,0x0D,0x00,0x00,0x00,0xFF,0x07,0x00,0x00,0x60,0xFF,0x01,0x00,
0x00,0xC0,0xBF,0x00,0x00,0x00,0xF2,0x4F,0x00,0x00,0x00,0xF7,0x0C,0x00,0x00,0x00,
// Unicode: [0x0041, A]
0x00,0x00,0xF7,0xBF,0x00,0x00,0x00,0x00,0x00,0xFD,0xFF,0x02,0x00,0x00,0x00,0x20,
0xFF,0xFF,0x07,0x00,0x00,0x00,0x80,0xFF,0xFF,0x0C,0x00,0x00,0x00,0xD0,0xFF,0xFC,
0x1F,0x00,0x00,0x00,0xF2,0xCF,0xF8,0x6F,0x00,0x00,0x00,0xF7,0x7F,0xF3,0xBF,0x00,
0x00,0x00,0xFC,0x2F,0xE0,0xFF,0x01,0x00,0x10,0xFF,0x0D,0xA0,0xFF,0x06,0x00,0x60,
0xFF,0xBE,0xDB,0xFF,0x0B,0x00,0xC0,0xFF,0xFF,0xFF,0xFF,0x0F,0x00,0xF1,0xFF,0xFF,
0xFF,0xFF,0x5F,0x00,0xF6,0x9F,0x00,0x00,0xF6,0xAF,0x00,0xFB,0x4F,0x00,0x00,0xF1,
0xFF,0x00,0xFD,0x0D,0x00,0x00,0xA0,0xFF,0x02,
// Unicode: [0x0043, C]
0x00,0x00,0xC7,0xFE,0xBD,0x18,0x00,0xD2,0xFF,0xFF,0xFF,0xAF,0x00,0xFD,0xFF,0xCE,
0xFE,0x5F,0x60,0xFF,0x6F,0x00,0x10,0x04,0xB0,0xFF,0x0A,0x00,0x00,0x00,0xF0,0xFF,
0x04,0x00,0x00,0x00,0xF0,0xFF,0x02,0x00,0x00,0x00,0xF1,0xFF,0x01,0x00,0x00,0x00,
0xF0,0xFF,0x02,0x00,0x00,0x00,0xD0,0xFF,0x04,0x00,0x00,0x00,0xB0,0xFF,0x0A,0x00,
0x00,0x00,0x70,0xFF,0x6F,0x00,0x10,0x16,0x00,0xFE,0xFF,0xCE,0xFD,0xAF,0x00,0xE3,
0xFF,0xFF,0xFF,0xCF,0x00,0x10,0xC8,0xFE,0xBD,0x17,
// Unicode: [0x0045, E]
0xF7,0xFF,0xFF,0xFF,0x0E,0xFA,0xFF,0xFF,0xFF,0x1F,0xFA,0xDF,0xBB,0xBB,0x0A,0xFA,
0x7F,0x00,0x00,0x00,0xFA,0x7F,0x00,0x00,0x00,0xFA,0x7F,0x00,0x00,0x00,0xFA,0xDF,
0xBB,0xBB,0x04,0xFA,0xFF,0xFF,0xFF,0x08,0xFA,0xFF,0xFF,0xFF,0x06,0xFA,0x7F,0x00,
0x00,0x00,0xFA,0x7F,0x00,0x00,0x00,0xFA,0x7F,0x00,0x00,0x00,0xFA,0xDF,0xBB,0xBB,
0x0A,0xFA,0xFF,0xFF,0xFF,0x1F,0xF7,0xFF,0xFF,0xFF,0x0F,
// Unicode: [0x004F, O]
0x00,0x00,0xC7,0xFE,0xAE,0x04,0x00,0x00,0xD1,0xFF,0xFF,0xFF,0x9F,0x00,0x00,0xFC,
0xFF,0xCE,0xFF,0xFF,0x07,0x50,0xFF,0x6F,0x00,0xB0,0xFF,0x0F,0xB0,0xFF,0x0A,0x00,
0x10,0xFF,0x5F,0xD0,0xFF,0x04,0x00,0x00,0xFA,0x7F,0xF0,0xFF,0x02,0x00,0x00,0xF8,
0x9F,0xF1,0xFF,0x01,0x00,0x00,0xF7,0xBF,0xF0,0xFF,0x02,0x00,0x00,0xF8,0x9F,0xD0,
0xFF,0x04,0x00,0x00,0xFA,0x7F,0xB0,0xFF,0x0A,0x00,0x10,0xFF,0x5F,0x50,0xFF,0x6F,
0x00,0xB0,0xFF,0x0F,0x00,0xFC,0xFF,0xCE,0xFF,0xFF,0x07,0x00,0xD1,0xFF,0xFF,0xFF,
0x9F,0x00,0x00,0x00,0xC7,0xFF,0xAE,0x04,0x00,
// Unicode: [0x0052, R]
0xF7,0xFF,0xFF,0xAD,0x02,0x00,0xFA,0xFF,0xFF,0xFF,0x3F,0x00,0xFA,0xDF,0xCB,0xFF,
0xCF,0x00,0xFA,0x7F,0x00,0xF6,0xFF,0x00,0xFA,0x7F,0x00,0xF2,0xFF,0x00,0xFA,0x7F,
0x00,0xF7,0xBF,0x00,0xFA,0xDF,0xCC,0xFF,0x1D,0x00,0xFA,0xFF,0xFF,0xEF,0x01,0x00,
0xFA,0xFF,0xFF,0xFF,0x0A,0x00,0xFA,0x7F,0x61,0xFF,0x2F,0x00,0xFA,0x7F,0x00,0xFA,
0x8F,0x00,0xFA,0x7F,0x00,0xF4,0xEF,0x00,0xFA,0x7F,0x00,0xE0,0xFF,0x04,0xFA,0x7F,
0x00,0x80,0xFF,0x0A,0xF7,0x4F,0x00,0x20,0xFE,0x0D,
// Unicode: [0x0053, S]
0x00,0xA2,0xFD,0xBE,0x04,0x30,0xFF,0xFF,0xFF,0x0F,0xE0,0xFF,0xCF,0xFD,0x0A,0xF1,
0xFF,0x02,0x10,0x00,0xF3,0xFF,0x01,0x00,0x00,0xF1,0xFF,0x6E,0x00,0x00,0xB0,0xFF,
0xFF,0x6E,0x00,0x10,0xFC,0xFF,0xFF,0x09,0x00,0x60,0xFD,0xFF,0x4F,0x00,0x00,0x60,
0xFF,0x8F,0x00,0x00,0x00,0xF9,0x9F,0x70,0x04,0x00,0xFB,0x7F,0xF4,0xEF,0xEC,0xFF,
0x3F,0xF5,0xFF,0xFF,0xFF,0x08,0x30,0xDA,0xFF,0x5C,0x00,
// Unicode: [0x0054, T]
0xFB,0xFF,0xFF,0xFF,0xFF,0x0A,0xFD,0xFF,0xFF,0xFF,0xFF,0x0C,0xB7,0xBB,0xFF,0xBF,
0xBB,0x07,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,
0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,
0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,
0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,0xFF,0x0F,0x00,0x00,0x00,0x10,
0xFF,0x0F,0x00,0x00,0x00,0x00,0xFD,0x0D,0x00,0x00,
// Unicode: [0x0061, a]
0x10,0xD8,0xFF,0x9D,0x01,0x70,0xFF,0xFF,0xFF,0x0E,0x10,0xAD,0x88,0xFE,0x6F,0x00,
0x00,0x00,0xF7,0x8F,0x00,0x92,0xDB,0xFF,0x8F,0x40,0xFF,0xFF,0xFF,0x8F,0xE0,0xFF,
0x17,0xF7,0x8F,0xF1,0xDF,0x00,0xFA,0x8F,0xF1,0xFF,0xB8,0xFF,0x9F,0xC0,0xFF,0xFF,
0xFD,0xAF,0x20,0xFB,0x8E,0xE1,0x8E,
// Unicode: [0x0062, b]
0xF8,0x2E,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,
0x4F,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,0xAF,0xFD,0x4B,0x00,0xFB,0xFF,
0xFF,0xFF,0x05,0xFB,0xCF,0xB7,0xFF,0x0E,0xFB,0x4F,0x00,0xFD,0x4F,0xFB,0x4F,0x00,
0xF8,0x6F,0xFB,0x4F,0x00,0xF7,0x8F,0xFB,0x4F,0x00,0xF8,0x6F,0xFB,0x6F,0x00,0xFC,
0x4F,0xFB,0xFF,0x98,0xFF,0x0E,0xFB,0xEF,0xFF,0xFF,0x07,0xF8,0x1C,0xEA,0x6D,0x00,
// Unicode: [0x0064, d]
0x00,0x00,0x00,0xB0,0xDF,0x00,0x00,0x00,0x00,0xE0,0xFF,0x01,0x00,0x00,0x00,0xE0,
0xFF,0x01,0x00,0x00,0x00,0xE0,0xFF,0x01,0x00,0x00,0x00,0xE0,0xFF,0x01,0x00,0xA1,
0xEE,0xFA,0xFF,0x01,0x10,0xFE,0xFF,0xFF,0xFF,0x01,0x80,0xFF,0x7E,0xFA,0xFF,0x01,
0xE0,0xFF,0x03,0xE0,0xFF,0x01,0xF0,0xEF,0x00,0xE0,0xFF,0x01,0xF2,0xDF,0x00,0xE0,
0xFF,0x01,0xF0,0xEF,0x00,0xE0,0xFF,0x01,0xE0,0xFF,0x03,0xF2,0xFF,0x01,0x90,0xFF,
0x9E,0xFE,0xFF,0x02,0x20,0xFF,0xFF,0xDF,0xFF,0x03,0x00,0xB2,0xDF,0x74,0xCF,0x02,
// Unicode: [0x0065, e]
0x00,0x80,0xFC,0x9D,0x01,0x00,0x00,0xFD,0xFF,0xFF,0x1E,0x00,0x80,0xFF,0x8D,0xFB,
0x8F,0x00,0xD0,0xFF,0x01,0xF0,0xDF,0x00,0xF0,0xFF,0xFF,0xFF,0xFF,0x00,0xF2,0xFF,
0xFF,0xFF,0x9F,0x00,0xF0,0xFF,0x01,0x00,0x00,0x00,0xE0,0xFF,0x04,0x00,0x01,0x00,
0x70,0xFF,0x8F,0xB8,0x4F,0x00,0x00,0xFC,0xFF,0xFF,0x8F,0x00,0x00,0x70,0xEB,0xCE,
0x08,0x00,
// Unicode: [0x0068, h]
0xF8,0x2E,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,
0x4F,0x00,0x00,0x00,0xFB,0x4F,0x00,0x00,0x00,0xFB,0x4F,0xD8,0xBF,0x01,0xFB,0xEF,
0xFF,0xFF,0x0B,0xFB,0xFF,0xCB,0xFF,0x0F,0xFB,0x7F,0x00,0xFE,0x1F,0xFB,0x4F,0x00,
0xFD,0x2F,0xFB,0x4F,0x00,0xFD,0x2F,0xFB,0x4F,0x00,0xFD,0x2F,0xFB,0x4F,0x00,0xFD,
0x2F,0xFB,0x4F,0x00,0xFD,0x2F,0xFB,0x4F,0x00,0xFD,0x2F,0xF8,0x2E,0x00,0xFA,0x0E,
// Unicode: [0x0069, i]
0xFA,0x1E,0xFD,0x2F,0xFA,0x1E,0x00,0x00,0x00,0x00,0xFA,0x1E,0xFD,0x2F,0xFD,0x2F,
0xFD,0x2F,0xFD,0x2F,0xFD,0x2F,0xFD,0x2F,0xFD,0x2F,0xFD,0x2F,0xFD,0x2F,0xFA,0x1E,
// Unicode: [0x006C, l]
0xF9,0x1E,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,
0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFB,0x3F,
0x00,0xFB,0x3F,0x00,0xFB,0x3F,0x00,0xFA,0xBF,0x05,0xF5,0xFF,0x0F,0x80,0xFE,0x0C,
// Unicode: [0x006D, m]
0xEA,0x0B,0xE9,0xAE,0x31,0xFB,0x7E,0x00,0xFE,0xCF,0xFF,0xFF,0xFC,0xFF,0xFF,0x04,
0xFD,0xFF,0xDA,0xFF,0xEF,0xEA,0xFF,0x08,0xFC,0x6F,0x20,0xFF,0x2F,0x60,0xFF,0x0A,
0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,
0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,
0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,0xFC,0x3F,0x00,0xFF,0x0E,0x50,0xFF,0x0A,
0xF9,0x1E,0x00,0xFD,0x0B,0x30,0xFE,0x07,
// Unicode: [0x006E, n]
0xEA,0x0B,0xE9,0xAE,0x01,0xFE,0xCF,0xFF,0xFF,0x09,0xFD,0xFF,0xCA,0xFF,0x0D,0xFC,
0x6F,0x10,0xFF,0x0F,0xFC,0x3F,0x00,0xFF,0x0F,0xFC,0x3F,0x00,0xFF,0x0F,0xFC,0x3F,
0x00,0xFF,0x0F,0xFC,0x3F,0x00,0xFF,0x0F,0xFC,0x3F,0x00,0xFF,0x0F,0xFC,0x3F,0x00,
0xFF,0x0F,0xF9,0x1E,0x00,0xFC,0x0C,
// Unicode: [0x006F, o]
0x00,0x80,0xFC,0xAD,0x02,0x00,0x00,0xFD,0xFF,0xFF,0x4F,0x00,0x80,0xFF,0x7E,0xFB,
0xDF,0x00,0xE0,0xFF,0x03,0xC0,0xFF,0x04,0xF0,0xEF,0x00,0x80,0xFF,0x06,0xF2,0xDF,
0x00,0x70,0xFF,0x08,0xF0,0xEF,0x00,0x80,0xFF,0x06,0xE0,0xFF,0x03,0xC0,0xFF,0x04,
0x80,0xFF,0x7E,0xFB,0xDF,0x00,0x00,0xFD,0xFF,0xFF,0x4F,0x00,0x00,0x80,0xFC,0xAD,
0x02,0x00,
// Unicode: [0x0072, r]
0xEA,0x2B,0xED,0x02,0xFE,0xDF,0xFF,0x04,0xFD,0xFF,0xAD,0x00,0xFC,0x7F,0x00,0x00,
0xFC,0x3F,0x00,0x00,0xFC,0x3F,0x00,0x00,0xFC,0x3F,0x00,0x00,0xFC,0x3F,0x00,0x00,
0xFC,0x3F,0x00,0x00,0xFC,0x3F,0x00,0x00,0xF9,0x1E,0x00,0x00,
// Unicode: [0x0073, s]
0x00,0xD7,0xEF,0x2B,0x90,0xFF,0xFF,0x6F,0xF0,0xFF,0x66,0x09,0xF1,0xFF,0x02,0x00,
0xE0,0xFF,0xBF,0x03,0x30,0xFE,0xFF,0x4F,0x00,0x60,0xFE,0xBF,0x00,0x00,0xF3,0xDF,
0xC0,0x7B,0xFB,0xAF,0xF4,0xFF,0xFF,0x3F,0x70,0xEC,0xBF,0x03
};
